Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample Class Reference

`#include <IFaceSet.h>`

Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample:
[legend]

## Public Types

typedef Sample | this_type

## Public Member Functions

| Sample ()
| Users never create this data directly. More...
Abc::Int32ArraySamplePtr | getFaces () const
Abc::Box3d | getSelfBounds () const
bool | valid () const
void | reset ()
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes

Abc::Int32ArraySamplePtr | m_faces
Abc::Box3d | m_selfBounds

## Friends

class | IFaceSetSchema

## Detailed Description

Definition at line 58 of file IFaceSet.h.

## Member Typedef Documentation

## this_type

typedef Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::this_type

Definition at line 61 of file IFaceSet.h.

## Constructor & Destructor Documentation

## Sample()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::Sample | ( |  | ) |

inline

Users never create this data directly.

Definition at line 64 of file IFaceSet.h.

## Member Function Documentation

## ALEMBIC_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

## getFaces()

Abc::Int32ArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::getFaces | ( |  | ) | const

inline

Definition at line 67 of file IFaceSet.h.

## getSelfBounds()

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::getSelfBounds | ( |  | ) | const

inline

Definition at line 70 of file IFaceSet.h.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::reset | ( |  | ) |

inline

Definition at line 77 of file IFaceSet.h.

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::valid | ( |  | ) | const

inline

Definition at line 72 of file IFaceSet.h.

## Friends And Related Function Documentation

## IFaceSetSchema

friend class IFaceSetSchema

friend

Definition at line 87 of file IFaceSet.h.

## Member Data Documentation

## m_faces

Abc::Int32ArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::m_faces

protected

Definition at line 89 of file IFaceSet.h.

## m_selfBounds

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::Sample::m_selfBounds

protected

Definition at line 93 of file IFaceSet.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/IFaceSet.h